function f = sys_rhs(xx,par)

f(1,1) = 1/par(1)*(par(3)-par(4)*(xx(1,1)-par(5))-par(6)/(1+exp(-.8e-1*xx(1,1)-2.08))^3*xx(2,1)*(xx(1,1)-par(7))-par(8)*xx(3,1)^4*(xx(1,1)-par(9))-par(10)*(xx(1,1)-xx(4,2)));
f(2,1) = 1.666666667*(1/(1+exp(.13*xx(1,1)+4.94))-xx(2,1))*(1+exp(-.12*xx(1,1)-8.04));
f(3,1) = (1/(1+exp(-.45e-1*xx(1,1)-.450))-xx(3,1))/(.5+2/(1+exp(.45e-1*xx(1,1)-2.250)));
f(4,1) = 1/par(2)*(par(3)-par(4)*(xx(4,1)-par(5))-par(6)/(1+exp(-.8e-1*xx(4,1)-2.08))^3*xx(5,1)*(xx(4,1)-par(7))-par(8)*xx(6,1)^4*(xx(4,1)-par(9))-par(10)*(xx(4,1)-xx(1,2)));
f(5,1) = 1.666666667*(1/(1+exp(.13*xx(4,1)+4.94))-xx(5,1))*(1+exp(-.12*xx(4,1)-8.04));
f(6,1) = (1/(1+exp(-.45e-1*xx(4,1)-.450))-xx(6,1))/(.5+2/(1+exp(.45e-1*xx(4,1)-2.250)));
end
